Skip to main content
GET
/
v2
/
api
/
core
/
transactions
/
{transactionId}
/
out
Get an outgoing transaction by ID
curl --request GET \
  --url https://api.custody.api-zodia.io/v2/api/core/transactions/{transactionId}/out \
  --header 'X-Signature: <api-key>'
{
  "companyId": "ZTEST",
  "fromWallet": "ZTEST-NOBENF-849P8XKKAO",
  "toAddress": "tb1ql7w62elx9ucw4pj5lgw4l028hmuw80sndtntxt",
  "consumerMetadata": "metadata",
  "transferId": "TRO-API-ZTEST-4001",
  "transferStatus": "CONFIRMED",
  "amountLedger": 641400,
  "feeType": "HIGH",
  "feeAmountLedger": 165,
  "ledgerRef": "fd1c22fd097501606fddbc7d22e5009d45e9e6cb7115ad109a46f8319a385bd4",
  "createdBy": "api-maker@zodia.io",
  "createdAt": "2021-08-03T18:17:57Z",
  "currency": "<string>",
  "feeCurrency": "<string>"
}

Authorizations

X-Signature
string
header
required

Path Parameters

transactionId
string
required

Response

OK

companyId
string

ID of the company

Required string length: 1 - 12
Example:

"ZTEST"

fromWallet
string

ID of the sending wallet

Required string length: 1 - 40
Pattern: <companyId>-[NOBENF|<beneficiaryId>]-API-*
Example:

"ZTEST-NOBENF-849P8XKKAO"

toAddress
string

Receiving address

Example:

"tb1ql7w62elx9ucw4pj5lgw4l028hmuw80sndtntxt"

consumerMetadata
object

Optional metadata for the transaction

Example:

"metadata"

transferId
string

ID of the outgoing transaction

Required string length: 1 - 40
Example:

"TRO-API-ZTEST-4001"

transferStatus
enum<string>

Current status of the transaction

Available options:
CONFIRMED,
CANCELLED_BY_MAKER,
CONFIRMATION_TIMEOUT,
APPROVAL_TIMEOUT,
PENDING_AUTH,
PROCESSING,
AUTHORISED,
UNLOCKED,
REJECTED_BY_AUTHORISER,
REJECTED_BY_SYSTEM,
FAILED,
CONFIRMATION_COMPLETED,
READY_FOR_RELEASE,
POSTED_ON_CHAIN,
UNDER_INVESTIGATION
amountLedger
integer

Amount of the transaction (in relevant unit)

Example:

641400

feeType
string

Type of fee applied

Pattern: HIGH
Example:

"HIGH"

feeAmountLedger
integer

Amount of the fee applied (in relevant unit)

Example:

165

ledgerRef
string

Transaction hash

Example:

"fd1c22fd097501606fddbc7d22e5009d45e9e6cb7115ad109a46f8319a385bd4"

createdBy
string

ID of the user who created the transaction

Example:

"api-maker@zodia.io"

createdAt
string

Date/time (in UTC) of creation of the transaction

Example:

"2021-08-03T18:17:57Z"

currency
string

Currency of the transaction

feeCurrency
string

Currency of the transaction fee